Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.actions.edit
Class ApplyNameTableAction

    java.lang.Object
      javax.swing.AbstractAction
          info.bioinfweb.treegraph.gui.actions.TreeGraphAction
              info.bioinfweb.treegraph.gui.actions.DocumentAction
                  info.bioinfweb.treegraph.gui.actions.EditDialogAction
                      info.bioinfweb.treegraph.gui.actions.edit.ApplyNameTableAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class ApplyNameTableAction

extends EditDialogAction

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ApplyNameTableAction(MainFrame mainFrame)`

Method Summary
`EditDialog` | `createDialog()`
`void` | `setEnabled(Document document, TreeSelection selection)`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.EditDialogAction
`getDialog, onActionPerformed`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.DocumentAction
`actionPerformed, getMainFrame, oneElementSelected`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.TreeGraphAction
`loadSymbols`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplyNameTableAction

    public ApplyNameTableAction(MainFrame mainFrame)

Method Detail

### createDialog

    public EditDialog createDialog()

  Specified by:
    `createDialog` in class `EditDialogAction`

### setEnabled

    public void setEnabled(Document document,
                           TreeSelection selection)

  Specified by:
    `setEnabled` in class `DocumentAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD